<template>
  <div>
    <div class="container">
      <vx-card>
        <vs-table :data="tableFiles">
          <template slot="thead">
            <vs-th>Data Base</vs-th>
            <vs-th>A Vencer</vs-th>
            <vs-th>Vencido</vs-th>
            <vs-th>Prejuizo</vs-th>
            <vs-th>Carteira de Crédito</vs-th>
            <vs-th>Repas-Interf</vs-th>
            <vs-th>Coobrigação Assumida e Garantias Prestadas</vs-th>
            <vs-th>Responsabilidade Total</vs-th>
            <vs-th>Crédito a Liberar</vs-th>
            <vs-th>Limite de crédito</vs-th>
            <vs-th>Risco Indireto</vs-th>
            <vs-th>Risco Total</vs-th>
            <vs-th>Coobrigação Recebida</vs-th>
          </template>

          <template slot-scope="{ data }">
            <vs-tr :key="indextr" v-for="(tr, indextr) in data">
              <vs-td :data="data[indextr].data">
                {{ data[indextr].data }}
              </vs-td>
              <vs-td :data="data[indextr].vencer">
                {{ data[indextr].vencer }}
              </vs-td>
              <vs-td :data="data[indextr].vencido">
                {{ data[indextr].vencido }}
              </vs-td>
              <vs-td :data="data[indextr].prejuizo">
                {{ data[indextr].prejuizo }}
              </vs-td>
              <vs-td :data="data[indextr].credito">
                {{ data[indextr].credito }}
              </vs-td>
              <vs-td :data="data[indextr].repas">
                {{ data[indextr].repas }}
              </vs-td>
              <vs-td :data="data[indextr].garantia">
                {{ data[indextr].garantia }}
              </vs-td>
              <vs-td :data="data[indextr].responsa">
                {{ data[indextr].responsa }}
              </vs-td>
              <vs-td :data="data[indextr].liberar">
                {{ data[indextr].liberar }}
              </vs-td>
              <vs-td :data="data[indextr].limite">
                {{ data[indextr].limite }}
              </vs-td>
              <vs-td :data="data[indextr].indireto">
                {{ data[indextr].indireto }}
              </vs-td>
              <vs-td :data="data[indextr].risco">
                {{ data[indextr].risco }}
              </vs-td>
              <vs-td :data="data[indextr].recebido">
                {{ data[indextr].recebido }}
              </vs-td>
            </vs-tr>
          </template>
        </vs-table>
      </vx-card>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {
      tableList: [
        "vs-th: Component",
        "vs-tr: Component",
        "vs-td: Component",
        "thread: Slot",
        "tbody: Slot",
        "header: Slot",
      ],
      tableFiles: [
        {
          data: "09/2019",
          vencer: "10.427,00",
          vencido: "476,00",
          prejuizo: "203,00",
          credito: "11.105,00",
          repas: "-",
          garantia: "-",
          responsa: "11.105,00",
          liberar: "-",
          limite: "221,00",
          indireto: "-",
          risco: "11.326,00",
          recebido: "-",
        },
        {
          data: "08/2019",
          vencer: "10.427,00",
          vencido: "476,00",
          prejuizo: "203,00",
          credito: "11.105,00",
          repas: "-",
          garantia: "-",
          responsa: "11.105,00",
          liberar: "-",
          limite: "221,00",
          indireto: "-",
          risco: "11.326,00",
          recebido: "-",
        },
        {
          data: "07/2019",
          vencer: "10.427,00",
          vencido: "476,00",
          prejuizo: "203,00",
          credito: "11.105,00",
          repas: "-",
          garantia: "-",
          responsa: "11.105,00",
          liberar: "-",
          limite: "221,00",
          indireto: "-",
          risco: "11.326,00",
          recebido: "-",
        },
        {
          data: "06/2019",
          vencer: "10.427,00",
          vencido: "476,00",
          prejuizo: "203,00",
          credito: "11.105,00",
          repas: "-",
          garantia: "-",
          responsa: "11.105,00",
          liberar: "-",
          limite: "221,00",
          indireto: "-",
          risco: "11.326,00",
          recebido: "-",
        },
        {
          data: "05/2019",
          vencer: "10.427,00",
          vencido: "476,00",
          prejuizo: "203,00",
          credito: "11.105,00",
          repas: "-",
          garantia: "-",
          responsa: "11.105,00",
          liberar: "-",
          limite: "221,00",
          indireto: "-",
          risco: "11.326,00",
          recebido: "-",
        },
        {
          data: "04/2019",
          vencer: "10.427,00",
          vencido: "476,00",
          prejuizo: "203,00",
          credito: "11.105,00",
          repas: "-",
          garantia: "-",
          responsa: "11.105,00",
          liberar: "-",
          limite: "221,00",
          indireto: "-",
          risco: "11.326,00",
          recebido: "-",
        },
        {
          data: "03/2019",
          vencer: "10.427,00",
          vencido: "476,00",
          prejuizo: "203,00",
          credito: "11.105,00",
          repas: "-",
          garantia: "-",
          responsa: "11.105,00",
          liberar: "-",
          limite: "221,00",
          indireto: "-",
          risco: "11.326,00",
          recebido: "-",
        },
        {
          data: "02/2019",
          vencer: "10.427,00",
          vencido: "476,00",
          prejuizo: "203,00",
          credito: "11.105,00",
          repas: "-",
          garantia: "-",
          responsa: "11.105,00",
          liberar: "-",
          limite: "221,00",
          indireto: "-",
          risco: "11.326,00",
          recebido: "-",
        },
        {
          data: "01/2019",
          vencer: "10.427,00",
          vencido: "476,00",
          prejuizo: "203,00",
          credito: "11.105,00",
          repas: "-",
          garantia: "-",
          responsa: "11.105,00",
          liberar: "-",
          limite: "221,00",
          indireto: "-",
          risco: "11.326,00",
          recebido: "-",
        },
      ],
    };
  },
};
</script>
